Description

Usually when we want to create sub-task, we are in the context of parent task (typically on that issue page and want to create a

sub-task quickly. Currently we have to go to 'New Issue' button and memorize the parent task number to fill inside this subtask.

It would be nice and quick if we can have a link or button next to update as 'create sub-task' which might be done through a popup

box to get this quickly.

Current functionality is not really impossible or very hard; but it might just makes thing easy.

History

#1 - 2013-03-22 15:47 - Dipan Mehta

See also #1881 #8440 and #987

#2 - 2013-03-25 09:41 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

The requested feature does exist in my instance and as far as I can remember, it was already there in 1.4.3...

What version are you using?

#3 - 2013-03-25 14:20 - Dipan Mehta

Jan Niggemann wrote:

The requested feature does exist in my instance and as far as I can remember, it was already there in 1.4.3...

What version are you using?

 Sub-tasking does exist in Redmine since 1.0.x (#443). The current issue is to have a quick click way to create  sub-task, mostly have a more intuitive

button for it!

This issue can also be extended to have another button such as 'create related issue'.

#4 - 2013-03-25 14:31 - Jan Niggemann (redmine.org team member)

- File screenshot.png added

Of course I know that subtasking does exist, as well as the button. Check this screenshot, it shows the link "Hinzufügen" which is German and means

"add"...

The button does exist, the only thing is that you might not call it a button but a link (depending on the theme, I use A1 in this example)...

#5 - 2013-03-25 16:49 - Dipan Mehta

Aaha! Yes it is. I am so sorry not to observe thing rigorously before posting an Issue.

Only thing is - when creating the sub-task  it would be great if the sub-task can come pre-filled with fields from the parent task - specially Target

Versions, and other custom fields.

But this is covered under #6217 and #6117. So this issue can be closed.

#6 - 2013-03-25 16:52 - Jan Niggemann (redmine.org team member)
https://www.redmine.org/issues/1881
https://www.redmine.org/issues/8440
https://www.redmine.org/issues/987
https://www.redmine.org/issues/6217
https://www.redmine.org/issues/6117


- Status changed from Needs feedback to Closed

- Resolution set to Invalid

No problem, it's most important that redmine already does what you want :-)
